Get a creator step
curl --request GET \
--url https://dashboard.launchpointhq.com/api/v1/programs/{id}/creators/{creatorId}/step \
--header 'x-api-key: <api-key>'import requests
url = "https://dashboard.launchpointhq.com/api/v1/programs/{id}/creators/{creatorId}/step"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://dashboard.launchpointhq.com/api/v1/programs/{id}/creators/{creatorId}/step', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard.launchpointhq.com/api/v1/programs/{id}/creators/{creatorId}/step",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dashboard.launchpointhq.com/api/v1/programs/{id}/creators/{creatorId}/step"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dashboard.launchpointhq.com/api/v1/programs/{id}/creators/{creatorId}/step")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard.launchpointhq.com/api/v1/programs/{id}/creators/{creatorId}/step")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"programId": "<string>",
"creatorId": "<string>",
"version": 123,
"step": {
"id": "<string>",
"name": "<string>"
},
"discordStep": {
"id": "<string>",
"name": "<string>"
},
"payscaleId": "<string>",
"payLabel": "<string>",
"coach": {
"id": "<string>",
"name": "<string>"
},
"trial": {
"state": "waiting",
"startedAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z"
},
"steps": [
{
"id": "<string>",
"name": "<string>",
"payscaleId": "<string>",
"startsTrial": true,
"passStepId": "<string>"
}
]
}Programs
Get a creator step
One creator’s step on a Canvas program: the step, its pay, coach, and trial, and the program’s steps in order. Send version back with an update.
GET
/
programs
/
{id}
/
creators
/
{creatorId}
/
step
Get a creator step
curl --request GET \
--url https://dashboard.launchpointhq.com/api/v1/programs/{id}/creators/{creatorId}/step \
--header 'x-api-key: <api-key>'import requests
url = "https://dashboard.launchpointhq.com/api/v1/programs/{id}/creators/{creatorId}/step"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://dashboard.launchpointhq.com/api/v1/programs/{id}/creators/{creatorId}/step', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard.launchpointhq.com/api/v1/programs/{id}/creators/{creatorId}/step",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dashboard.launchpointhq.com/api/v1/programs/{id}/creators/{creatorId}/step"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dashboard.launchpointhq.com/api/v1/programs/{id}/creators/{creatorId}/step")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard.launchpointhq.com/api/v1/programs/{id}/creators/{creatorId}/step")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"programId": "<string>",
"creatorId": "<string>",
"version": 123,
"step": {
"id": "<string>",
"name": "<string>"
},
"discordStep": {
"id": "<string>",
"name": "<string>"
},
"payscaleId": "<string>",
"payLabel": "<string>",
"coach": {
"id": "<string>",
"name": "<string>"
},
"trial": {
"state": "waiting",
"startedAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z"
},
"steps": [
{
"id": "<string>",
"name": "<string>",
"payscaleId": "<string>",
"startsTrial": true,
"passStepId": "<string>"
}
]
}Path Parameters
Query Parameters
Response
The creator's step